﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace App19
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class Page1 : ContentPage
	{
        ObservableCollection<model_1> list = new ObservableCollection<model_1>();
		public Page1 ()
		{
			InitializeComponent ();

            for (int i = 0; i < 100; i++)
            {
                if (i<=50&&i>30)
                {
                    list.Add(new model_1 { content = "content_true", isDisplay = false });
                }
                else {
                    list.Add(new model_1 { content = "content_false", isDisplay = true });
                }
            }
            listview.ItemsSource = list;
		}

        private void Button_Clicked(object sender, EventArgs e)
        {
            foreach (var item in list)
            {
                item.IsDisplay = true;
            }
        }
    }

    public class model_1 : INotifyPropertyChanged
    {
        public string content;
        public string Content
        {
            get
            {
                return content;
            }
            set
            {
                if (content != value)
                {
                    content = value;
                    NotifyPropertyChanged();
                }
            }
        }

        public bool isDisplay { get; set; }
        public bool IsDisplay
        {
            get
            {
                return isDisplay;
            }
            set
            {
                if (isDisplay != value)
                {
                    isDisplay = value;
                    NotifyPropertyChanged();
                }
            }
        }

        protected virtual void NotifyPropertyChanged([CallerMemberName] string propertyName = "")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}